//=============================================================================
// ARP_TitleCommandGallery.js
//=============================================================================

/*:
 * @plugindesc v1.00 Adds an option in the title command window to close
 * game window.
 * @author Atreyo Ray, edited by Bura to include MOGHunter's Picture Gallery on the Title Screen
 *
 * @param Command Gallery
 * @desc The text that should appear as the gallery command.
 * @default Gallery
 *
 * @param Show Gallery
 * @desc Highly recommended to only show when deploying to Windows
   or Mac iOS. For HTML or mobiles, make it false.
 * @default true
 *
 * @help This plugin does not provide plugin commands.
 */

(function() {

    var parameters = PluginManager.parameters('ARP_TitleCommandGallery');
    var textGallery = parameters['Command Gallery'];
    var showGallery = parameters['Show Gallery'];

    var _Window_TitleCommand_makeCommandList = 
            Window_TitleCommand.prototype.makeCommandList;
    Window_TitleCommand.prototype.makeCommandList = function() {
        _Window_TitleCommand_makeCommandList.call(this);
        if (eval(showGallery)){
            this.addCommand(textGallery, 'galleryGame');
        }
    };

    var _Scene_Title_createCommandWindow =
            Scene_Title.prototype.createCommandWindow;
    Scene_Title.prototype.createCommandWindow = function() {
        _Scene_Title_createCommandWindow.call(this);
        this._commandWindow.setHandler('galleryGame', this.commandGalleryGame.bind(this));
    };

    Scene_Title.prototype.commandGalleryGame = function() {
        this._commandWindow.close();
        this.fadeOutAll();
		//This is the command that should take you to the Gallery
		SceneManager.goto(Scene_Map);
    };

})();